Bug 426952 - Man page formatting broken -- string 'Cone' starts new paragraph
Man page formatting broken -- string 'Cone' starts new paragraph
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cone (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
: EasyFix, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-28 15:30 EST by Jan Pazdziora
Modified: 2009-07-19 06:23 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.78-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:27:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2007-12-28 15:30:17 EST
Description of problem:

When viewing the man page for cone, the formatting is broken. The string 'Cone'
forces new paragraph to start, even if it is in the middle of the sentence.

Version-Release number of selected component (if applicable):

$ rpm -q cone
cone-0.71-5.fc8

How reproducible:

Seems deterministic.

Steps to Reproduce:
1. Run man cone.

Actual results:

CONE(1)                   Cone: COnsole Newsreader An                  CONE(1)

Cone: COnsole Newsreader And Emailer

NAME
       cone - Read and send E-mail messages

SYNOPSIS
       cone [-r] [-c directory]

USAGE
       Cone is a console newsreader and E-mail. It is an interactive program
       for reading and sending E-mail messages.

       Cone is designed to be intuitive and easy to learn. Starting

       Cone for the first time displays two links: one for the default system
       mailbox, and a second link to a quick online tutorial. The online
       tutorial provides a brief overview of using

       Cone for reading and sending E-mail.

       Pressing Q on most screens exits

       Cone.

       Cone tries to gracefully log out and shut down all server connections.
       If

       Cone cannot log out of a remote server because the remote server is
       down, press CTRL-C (after Q to terminate

       Cone).

[...]

I'm not sure how the line breaks will come out in bugzilla but the point is that
"Cone" is always at the start of new paragraph.

Expected results:

CONE(1)                   Cone: COnsole Newsreader An                  CONE(1)

Cone: COnsole Newsreader And Emailer

NAME
       cone - Read and send E-mail messages

SYNOPSIS
       cone [-r] [-c directory]

USAGE
       Cone is a console newsreader and E-mail. It is an interactive program
       for reading and sending E-mail messages.

       Cone is designed to be intuitive and easy to learn. Starting Cone for
       the first time displays two links: one for the default system
       mailbox, and a second link to a quick online tutorial. The online
       tutorial provides a brief overview of using Cone for reading and
       sending E-mail.

       Pressing Q on most screens exits Cone.

       Cone tries to gracefully log out and shut down all server connections.
       If Cone cannot log out of a remote server because the remote server is
       down, press CTRL-C (after Q to terminate Cone).

[...]

Additional info:
Comment 1 Bug Zapper 2008-11-26 04:12:16 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 00:38:41 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Jan Pazdziora 2009-01-09 03:13:26 EST
The issue is still present in Fedora 9's cone-0.74-3.fc9.x86_64.
Comment 4 Noura El hawary 2009-01-09 03:15:13 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Jan Pazdziora 2009-01-09 03:25:25 EST
The issue is still present in Fedora 9's cone-0.74-3.fc9.x86_64.
Comment 6 Milos Jakubicek 2009-04-18 20:41:50 EDT
Hm, still present here...I've just rebuilt cone with gcc 4.4, will fix this later, probably together with updating to 0.77 (BZ#496421)...if the package maintainer won't response -- Steven, are you too busy with perl.*?:)
Comment 7 Bug Zapper 2009-06-09 19:19:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jan Pazdziora 2009-06-11 05:54:51 EDT
Fedora 10's cone-0.75-1.fc10.i386 still has the bad man page.

Could we please have this resolved somehow? Saying WONTFIX is fair enough, as
is addressing the issue. Keeping this thing without any response does
not seem good.
Comment 9 Milos Jakubicek 2009-06-13 17:23:48 EDT
I've just updated the package to 0.78 in rawhide (F10/F11 updates on the way as well) which solves this issue too. I wish the maintainer would have taken the 15 minutes to do that!
Comment 10 Fedora Update System 2009-06-13 17:29:08 EDT
cone-0.78-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/cone-0.78-1.fc10
Comment 11 Fedora Update System 2009-06-13 17:30:38 EDT
cone-0.78-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cone-0.78-1.fc11
Comment 12 Fedora Update System 2009-06-15 21:23:32 EDT
cone-0.78-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cone'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5988
Comment 13 Fedora Update System 2009-06-15 22:39:43 EDT
cone-0.78-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cone'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6444
Comment 14 Jan Pazdziora 2009-06-18 09:50:16 EDT
(In reply to comment #13)
> cone-0.78-1.fc10 has been pushed to the Fedora 10 testing repository.  If
> problems still persist, please make note of it in this bug report.
>  If you want to test the update, you can install it with 
>  su -c 'yum --enablerepo=updates-testing update cone'.  You can provide
> feedback for this update here:
> http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6444  

Formatting is still broken with cone-0.78-1.fc10.
Comment 15 Milos Jakubicek 2009-06-23 17:37:08 EDT
I'm sorry but I can't reproduce this anymore, I tested both F10 and F11 and the man pages are displayed just fine, could you recheck?
Comment 16 Jan Pazdziora 2009-06-24 02:49:46 EDT
On F11, with cone-0.78-1.fc11.i586, the result is OK. I no longer have F10 to test that.
Comment 17 Bug Zapper 2009-07-15 04:27:18 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 18 Fedora Update System 2009-07-19 06:08:12 EDT
cone-0.78-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2009-07-19 06:22:58 EDT
cone-0.78-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.